[SciPy-user] dfftf1.f:0: error: CPU you selected does not support x86-64 instruction set

Chris Edwards cedwards@ucsc....
Tue Apr 8 01:44:18 CDT 2008


Hi.  Thanks.  I had downloaded the latest build of scipy via svn, but 
had not done so for numpy.  Thanks for what turned out to be a very 
simple solution.

Chris

Pearu Peterson wrote:
> On Mon, April 7, 2008 9:37 am, Chris Edwards wrote:
>
>   
>> Fortran f77 compiler: /usr/bin/g77 -g -Wall -fno-second-underscore -fPIC
>> -O3 -funroll-loops -march=i686 -mmmx -msse2 -msse -fomit-frame-pointer
>>     
>
> Thanks for sending the cpuinfo.py output. Comparing it's output
> and the numpy/distutils/fcompiler/gnu.py source, it seems that
> you are using some older version of numpy. The -march value should
> be 'nocona' for your case.
>
> So, try upgrade numpy from svn (or just copy the gnu.py file from
> svn to numpy installation directory).
>
> HTH,
> Pearu
>
> _______________________________________________
> SciPy-user mailing list
> SciPy-user@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-user
>   

-- 
----------------------------------------------------------------------------
Christopher A. Edwards                          cedwards@ucsc.edu
Ocean Sciences Department                       phone: (831) 459-3734
University of California                        fax: (831) 459-4882
Santa Cruz, CA  95064  
----------------------------------------------------------------------------



More information about the SciPy-user mailing list